package test.org.seasar.framework.container.assembler;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class AssemblerAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(AssemblerAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.container.assembler");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(AutoConstructorAssemblerTest.class));
		suite.addTest(new TestSuite(AutoPropertyAssemblerTest.class));
		suite.addTest(new TestSuite(DefaultConstructorAssemblerTest.class));
		suite.addTest(new TestSuite(DefaultDestroyMethodAssemblerTest.class));
		suite.addTest(new TestSuite(DefaultInitMethodAssemblerTest.class));
		suite.addTest(new TestSuite(ExpressionConstructorAssemblerTest.class));
		suite.addTest(new TestSuite(ManualConstructorAssemblerTest.class));
		suite.addTest(new TestSuite(ManualPropertyAssemblerTest.class));
		//$JUnit-END$
		return suite;
	}
}
